POST api/RashakaMeals/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
MealDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| mealId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"mealId": 1,
"commentGuid": "f7d2657f-9d08-488d-bea0-4aebd076799f",
"accountGuid": "88129038-cf01-4d92-a9ab-58464af75e87"
}
text/plain, application/octet-stream
Sample:
{"mealId":1,"commentGuid":"f7d2657f-9d08-488d-bea0-4aebd076799f","accountGuid":"88129038-cf01-4d92-a9ab-58464af75e87"}
application/xml, text/xml
Sample:
<MealDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>88129038-cf01-4d92-a9ab-58464af75e87</accountGuid> <commentGuid>f7d2657f-9d08-488d-bea0-4aebd076799f</commentGuid> <mealId>1</mealId> </MealDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<MealDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>88129038-cf01-4d92-a9ab-58464af75e87</accountGuid><commentGuid>f7d2657f-9d08-488d-bea0-4aebd076799f</commentGuid><mealId>1</mealId></MealDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.